<?xml version="1.0" encoding="UTF-8"?>

<document>
  <properties>
    <title>Maven war Plug-in Goals</title>
    <author email="dion@apache.org">dIon Gillard</author>
  </properties>
  <body>
    <goals>
      <goal>
        <name>war</name>
        <description>
          Build a war file. 
          This goal simply executes the <a href="war:war">war:war</a> goal
        </description>
      </goal>
      <goal>
        <name>war:init</name>
        <description>Initialize the file system and attain any necessary goals</description>
      </goal>
      <goal>
        <name>war:war</name>
        <description>
          Build a war file.
          <br/>
          This goal simply package the directory created
          by war:webapp goal. Additional custome content which should be included
          in the archive can be provided using:
          <br/>
          <code>&lt;postGoal name="war:webapp"&gt;</code>
        </description>
      </goal>
      <goal>
        <name>war:webapp</name>
        <description>Build a webapp directory</description>
      </goal>
      <goal>
        <name>war:install</name>
        <description>Install the war in the local repository</description>
      </goal>
      <goal>
        <name>war:install-snapshot</name>
        <description>Install the snapshot version of  the war in the local repository</description>
      </goal>      
      <goal>
        <name>war:deploy</name>
        <description>Deploy the war to the remote repository(ies)</description>
      </goal>
      <goal>
        <name>war:deploy-snapshot</name>
        <description>Deploy the snapshot version of the war to the remote repository(ies)</description>
      </goal>  
      <goal>
        <name>war:clean</name>
        <description>Delete all artifacts created by war plugin</description>
      </goal>  
      
    </goals>      
  </body>
</document>